import { getSimple, postSimple, request } from "@/request";

// 用户列表
export const queryPlatformUserByPage = (data) => getSimple('/starsky-joy-web/platform/user/queryPlatformUserByPage', data);
// 平台用户分页查询 - 渠道来源列表
export const queryRegisterSource = () => getSimple('/starsky-joy-web/platform/user/queryRegisterSource');

// 游戏币流水分页查询
export const queryGameCurrencyAccountLogByPage = (data) => getSimple('/starsky-joy-web/platform/gameCurrency/queryGameCurrencyAccountLogByPage', data);
// 兑换券流水分页查询
export const queryCouponAccountLogByPage = (data) => getSimple('/starsky-joy-web/platform/coupon/queryCouponAccountLogByPage', data);
// 积分流水分页查询
export const queryPointsAccountLogByPage = (data) => getSimple('/starsky-joy-web/platform/points/queryPointsAccountLogByPage', data);
// 游戏币流水分页查询接口 - 变更原因条件回显列表查询
export const queryGameCurrencyAccountLogType = () => getSimple('/starsky-joy-web/platform/gameCurrency/queryGameCurrencyAccountLogType', );
// 兑换券流水分页查询接口 - 变更原因条件回显列表查询
export const queryCouponAccountLogType = () => getSimple('/starsky-joy-web/platform/coupon/queryCouponAccountLogType', );
// 积分流水分页查询接口 - 变更原因条件回显列表查询
export const queryPointsAccountLogType = () => getSimple('/starsky-joy-web/platform/points/queryPointsAccountLogType', );

// 游戏币补发记录分页查询
export const gameCurrencySupplyRecordByPage = (data) => getSimple('/starsky-joy-web/platform/gameCurrency/queryGameCurrencySupplyRecordByPage', data);
// 兑换券补发记录分页查询
export const couponSupplyRecordByPage = (data) => getSimple('/starsky-joy-web/platform/coupon/couponSupplyRecordByPage', data);
// 流量补发记录分页查询
export const flowSupplyRecordByPage = (data) => getSimple('/starsky-joy-web/platform/flow/flowSupplyRecordByPage', data);

// 游戏币补发充值
export const gameCurrencySupply = (data) => request('post', '/starsky-joy-web/platform/gameCurrency/gameCurrencySupply', data);
// 流量补发充值
export const flowSupply = (data) => request('post', '/starsky-joy-web/platform/flow/flowSupply', data);
// 用户绑定卫星公司主键id和代号查询
export const queryUserBingingSatCompanyIdAndCode = (userAccount) => getSimple(`/starsky-joy-web/platform/user/queryUserBingingSatCompanyIdAndCode/${userAccount}`);
// 兑换券补发充值
export const couponSupply = (data) => request('post', '/starsky-joy-web/platform/coupon/couponSupply', data);

// 卫星公司列表分页查询
export const querySatCompanyByPage = (data) => getSimple('/starsky-joy-web/satCompany/querySatCompanyByPage', data);
// 卫星公司主键id和代号查询接口 分页查询条件回显使用
export const querySatCompanyIdAndCode = (data) => getSimple('/starsky-joy-web/satCompany/querySatCompanyIdAndCode', data);
// 添加卫星公司
export const addSatCompany = (data) => request('post', '/starsky-joy-web/satCompany/addSatCompany', data);
// 编辑卫星公司
export const editSatCompany = (data) => request('post', '/starsky-joy-web/satCompany/editSatCompany', data);
// 编辑卫星公司回显
export const getSatCompany = (data) => getSimple('/starsky-joy-web/satCompany/getSatCompany', data);
// 紧急下架卫星公司
export const offShelfSatCompany = (data) => request('put', '/starsky-joy-web/satCompany/offShelfSatCompany', data);