import { getSimple, postJson, request } from "@/request";

// 账号密码登录
export const passwordLogin = (data) => postJson('/user/login', data)

// 查询用户列表
export const selectUserList = (data) => getSimple('/increase/user/selectUserList', data)

// 编辑用户-获取详情
export const selectLabourUnionDesc = (data) => getSimple('/increase/user/selectLabourUnionDesc', data)

// 编辑用户-获取详情
export const dataJson = (data) => request('post','/increase/user/editUser/DataJson', data)

// 编辑用户-冻结解冻
export const frodataJson = (data) => request('post','/increase/user/frozenUser/DataJson', data)

// 获取钻石充值数据
export const diamondInfo = (data) => getSimple('/increase/panel/order/diamondInfo', data)

// 运营后台-增值仪表盘 提现相关
export const withdrawData = (data) => getSimple('/increase/panel/withdraw/info', data)

// 提现统计
export const selectCurrency = (data) => getSimple('/increase/panel/selectCurrency', data)

export const withdrawStatistics = (data) => getSimple('/increase/panel/withdrawStatistics', data)

export const selectUserActivity = (data) => getSimple('/increase/panel/selectUserActivity', data)

export const selectUser = (data) => getSimple('/increase/panel/selectUser', data)

// 流量消耗记录
export const increaseRechargeWeekly = (data) => getSimple('/increase/statistics/increaseRechargeWeekly', data)

export const increaseRecharge = (data) => getSimple('/increase/statistics/increaseRecharge', data)
// 导出
// 游戏币
export const gameCurrencyExport = (data) => getSimple('/increase/panel/gameCurrencyExport', data)
// 用户
export const selectUserExport = (data) => getSimple('/increase/panel/selectUserExport', data)
// 活跃用户
export const selectUserActivityExport = (data) => getSimple('/increase/panel/selectUserActivityExport', data)

// 改变状态
export const changeUserStatus = (data) => request('post','/increase/user/changeUserStatus', data)



