// 库的工具方法

// 对象 -> QuerySearch -> application/x-www-form-urlencoded
export const object2Qs = (object) => {
  const qs = new URLSearchParams()
  Object.keys(object).forEach((key) => {
    qs.append(key, object[key])
  })
  return qs
}

// 对象 -> formdata
export const file2Formdata = (file) => {
  if (file instanceof FormData) return file
  const formdata = new FormData()
  formdata.append('file', file, file.name)
  return formdata
}

// return self
export const self = function (v) {
  return v
}
