export default [
    {
        path:'/supplier',
        meta:{
            title:'供应商管理'
        }
    },
    {
        path: '~supplierDashboard',
        name: 'supplierDashboard',
        component: () => import('@/views/supplier/supplierDashboard/index.vue'),
        meta: {
            title: '供应商仪表盘',
            keepAlive: true
        }
    },
    {
        path: '~suplierListManage',
        name: 'suplierListManage',
        component: () => import('@/views/supplier/suplierListManage/index.vue'),
        meta: {
            title: '供应商列表管理',
            keepAlive: true
        }
    },
    {
        path: '~sgccRecord',
        name: 'sgccRecord',
        component: () => import('@/views/supplier/sgccRecord/index.vue'),
        meta: {
            title: '供应商游戏币消耗流水记录',
            keepAlive: true
        }
    },
]