import { getSimple, postSimple, request } from "@/request";

// 游戏币流水分页查询
export const supplierDashboard = (data) => getSimple('/increase/supplier/manage/supplierDashboard',data)

// 游戏币流水分页查询
export const selectSupplierGameCurrencyPage = (data) => getSimple('/increase/supplier/manage/selectSupplierGameCurrencyPage',data)

// 渠道来源列表查询
export const selectSupplierSourceTypeList = (data) => getSimple('/increase/supplier/manage/selectSupplierSourceTypeList',data)

// 渠道仪表盘
export const providerPage = (data) => getSimple('/provider/providerPage',data)

// 新增-更新 供应商
export const modifyProvider = (data) => request('post','/provider/modifyProvider',data)

// 新增 供应商用户
export const insertProviderUser = (data) => request('post','/provider/insertProviderUser',data)

// 获取业务编号列表信息
export const getBizNoInfo = (data) => getSimple('/provider/getBizNoInfo',data)

// 删除供应商 删除前系统会默认对此供应商进行一次失效操作
export const deleteProvider = (id) => request('post',`/provider/deleteProvider/${id}`)

// 变更供应商状态 失效供应商时会将下辖用户状态变更为失效反之则不会
export const changeStatus = (data) => request('post','/provider/changeStatus',data)

// 获取第三方app信息列表
export const getThirdAppInfoList = (data) => getSimple('/provider/getThirdAppInfoList',data)
